### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-gallery/ecl-gallery.component.ts`

### Implements

`AfterContentInit` `OnDestroy`

### Metadata

selector | `ecl-gallery`
styles | `/* FIXME IE Hack-override */ @media screen and (min-width: 768px) { .ecl-gallery__slider-previous, .ecl-gallery__slider-next { align-self: center; } }`
templateUrl | `./ecl-gallery.component.html`

### Index

###### Properties
galleryItems isDialogVisible item itemIndex itemsCount videoChild
###### Methods
canBeDownloaded canBeShared onClose onDownload onNext onPrevious onShare onViewAll
###### Inputs
isDownloadable isShareable styleClass
###### Outputs
download hide itemSwitch share show
###### HostListeners
document:keydown.escape

### Inputs

isDownloadable
Type : `boolean`
Default value : `true`

isShareable
Type : `boolean`
Default value : `true`

styleClass
Type : `string`

### Outputs

download
Type : `EventEmitter`

hide
Type : `EventEmitter`

itemSwitch
Type : `EventEmitter`

share
Type : `EventEmitter`

show
Type : `EventEmitter`

### HostListeners

document:keydown.escape
Arguments : `'$event'`
`document:keydown.escape(event: KeyboardEvent)`

### Methods

canBeDownloaded
`canBeDownloaded()`
Returns : `boolean`

canBeShared
`canBeShared()`
Returns : `boolean`

onClose
`onClose(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

onDownload
`onDownload(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

onNext
`onNext(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

onPrevious
`onPrevious(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

onShare
`onShare(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

onViewAll
`onViewAll(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

### Properties

galleryItems
Type : `QueryList<EclGalleryItemComponent>`
Decorators : `@ContentChildren(EclGalleryItemComponent)`

isDialogVisible
Type : `boolean`
Default value : `false`

item
Type : `EclGalleryItemComponent`

itemIndex
Type : `number`

itemsCount
Type : `number`

videoChild
Type : `ElementRef`
Decorators : `@ViewChild('video')`

# result-matching ""

# No results matching ""